--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: append_features
comment: 
- !ruby/struct:SM::Flow::P 
  body: "TODO: hooks should be an inheritor"
constants: []

full_name: Hook
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: hook
- !ruby/object:RI::MethodSummary 
  name: hooks
name: Hook
superclass: 
